Subject: Re: git + ssh + key authentication feature-request

From: Nicolas Vilz 'niv' <[email-masked]>
Date: Thu, 09 Feb 2006 00:23:03 +0100

Junio C Hamano wrote:
> Nicolas Vilz 'niv' <[email-masked]> writes:
> 
> 
>>I would like to ask if it is possible to use ssh keys to authenticate
>>via ssh on a git repository via git-pull/git-push. Since ssh supports
>>them, wouldn't it be nice to use them in git, too?
> 
> 
> Please read what has been discussed within the last couple of
> weeks at least.  I could say the last couple of months but I
> know that is asking too much ;-).
> 
> http://thread.gmane.org/gmane.comp.version-control.git/15462
> 

Sorry, i haven't found that, yet, so i asked..

in my case it would be only one system-user which has full access to 
several repositories. At this time, the users which use that account, 
have to give a password, which isn't that bad... it would be easier and 
more secure for me, not to give a password, but ask the users for the 
ssh pubkey..

I can still live with the password thing :)

Sincerly
Nicolas